(****************************************************************************)
(*                 The Calculus of Inductive Constructions                  *)
(*                                                                          *)
(*                                Projet Coq                                *)
(*                                                                          *)
(*                     INRIA        LRI-CNRS        ENS-CNRS                *)
(*              Rocquencourt         Orsay          Lyon                    *)
(*                                                                          *)
(*                                 Coq V6.2                                 *)
(*                               May 1st 1998                               *)
(*                                                                          *)
(****************************************************************************)
(*                                  DecBool.v                               *)
(****************************************************************************)

Definition ifdec : (A,B:Prop)(C:Set)({A}+{B})->C->C->C
   := [A,B,C,H,x,y]if H then [_]x else [_]y.

Syntactic Definition Ifdec := (ifdec ? ? ?).

Syntax constr level 1:
  Ifdec_print [<<(ifdec $_ $_ $_ $H $x $y)>>] ->
    [ [<hov 0> "(Ifdec " $H:E [1 0] $x:E [1 0] $y:E ")" ] ]. 

Theorem Ifdec_left : (A,B:Prop)(C:Set)(H:{A}+{B})~B->(x,y:C)(Ifdec H x y)=x.
Intros; Case H; Auto.
Intro; Absurd B; Trivial.
Save.

Theorem Ifdec_right : (A,B:Prop)(C:Set)(H:{A}+{B})~A->(x,y:C)(Ifdec H x y)=y.
Intros; Case H; Auto.
Intro; Absurd A; Trivial.
Save.


