(****************************************************************************)
(*                 The Calculus of Inductive Constructions                  *)
(*                                                                          *)
(*                                Projet Coq                                *)
(*                                                                          *)
(*                     INRIA        LRI-CNRS        ENS-CNRS                *)
(*              Rocquencourt         Orsay          Lyon                    *)
(*                                                                          *)
(*                                 Coq V6.2                                 *)
(*                               May 1st 1998                               *)
(*                                                                          *)
(****************************************************************************)
(*                              Inclusion.v                                 *)
(****************************************************************************)
(*                              Bruno Barras                                *)
(****************************************************************************)

Require Relation_Definitions.

Section WfInclusion.
  Variable A:Set.
  Variable R1,R2:A->A->Prop.

  Lemma Acc_incl: (inclusion A R1 R2)->(z:A)(Acc A R2 z)->(Acc A R1 z).
Induction 2;Intros.
(Apply Acc_intro;Auto).
Save.

  Hint Acc_incl.

  Theorem wf_incl: (inclusion A R1 R2)->(well_founded A R2)->(well_founded A R1).
(Unfold well_founded ;Auto).
Save.


End WfInclusion.

(* $Id: Inclusion.v,v 1.5 1998/04/30 16:45:54 mohring Exp $ *)
