(****************************************************************************)
(*                 The Calculus of Inductive Constructions                  *)
(*                                                                          *)
(*                                Projet Coq                                *)
(*                                                                          *)
(*                     INRIA        LRI-CNRS        ENS-CNRS                *)
(*              Rocquencourt         Orsay          Lyon                    *)
(*                                                                          *)
(*                                 Coq V6.2                                 *)
(*                               May 1st 1998                               *)
(*                                                                          *)
(****************************************************************************)
(*                           A_total_ordering.v                             *)
(****************************************************************************)

(* G. Huet 1-9-95 *)

Require Generic.

(******************************************)
(* We postulate a total ordering inf on A *)
(******************************************)

Parameter   inf : A -> A -> Prop.

Axiom inf_total : (x,y:A){(inf x y)}+{(inf y x)}.
Axiom inf_tran : (x,y,z:A)(inf x y)->(inf y z)->(inf x z).
Axiom inf_refl : (x:A)(inf x x).

Hint inf_refl inf_total.



(* $Id: A_total_ordering.v,v 1.3 1998/04/30 16:45:56 mohring Exp $ *)
